Subject: How to properly rename a repository with submodules

From: Gelonida N <[email-masked]>
Date: Sun, 20 May 2012 20:19:31 +0200

Hi,

Today I noticed to my surprise, that a repository with submodules 
contains absolute paths.in the .git file of each sub module.

This is kind of surprising to me and seems to make it absolutely 
impossible to have a non bare git repository on a memory stick.

It also seems to make it impossible to rename a working repository after 
cloning.

So I have three questions.

1.) Is there any way to force git to use relative path names, such, that 
this issue just disappears.

2,) Is there any existing script, that allows me to move a git 
repository to another location without breaking it's sub modules.

3.) Why do these path names have to be absolute? Is this for performance 
reasons? path names relative to the location of the .git file seem to be 
much more flexible / portable.

Thanks in advance for your answers